<%@ page import="WebFlow.*" %>
<%@ page import="WebFlow.ContextManager.*" %>

<jsp:useBean id="parseXML" class="extensions.generic.parseXMLBean" scope="session"/>
<jsp:useBean id="storeInfo" class="extensions.generic.jobInfoBean" scope="session"/>
<jsp:useBean id="getfile" class="extensions.generic.GetFileBean" scope="session"/>
<jsp:setProperty name="getfile" property="rootDir" 
	value='<%= application.getRealPath("/WEB-INF/") %>' /> 

<%
	String userName=storeInfo.getTableVal("userName");
	ContextManager cm=ServerServlet.getContextManager(userName);
	String probName=cm.getCurrentProblemProperty("Name");
	String shell=request.getParameter("shell");
	String queue=request.getParameter("queue");
	String walltime=request.getParameter("walltime");
	String NNodes=request.getParameter("NNodes");
	String Account=request.getParameter("Account");
	String[] inputpath=request.getParameterValues("inputpath");
	String[] outputpath=request.getParameterValues("outputpath");

	System.out.println("The string array is length "+inputpath.length);
	String catinpath="",catoutpath="";
	for(int i=0;i<inputpath.length;i++) {
		catinpath+=inputpath[i]+"+";
	}
	for(int j=0;j<outputpath.length;j++) {
		catoutpath+=outputpath[j]+"+";
	}

	cm.setCurrentProblemProperty("shell",shell);
	cm.setCurrentProblemProperty("queue",queue);
	cm.setCurrentProblemProperty("walltime",walltime);
	cm.setCurrentProblemProperty("NNodes",NNodes);
	cm.setCurrentProblemProperty("inputParam",catinpath);
	cm.setCurrentProblemProperty("outputFiles",catoutpath);	
	cm.setCurrentProblemProperty("Account#",Account);
	
	//Setup the createScript bean and create the script.
	//Use a factory pattern here so that the queuing system
	//is determined by the user's selection.
	extensions.generic.createScript cjs=
		extensions.generic.scriptFactory.makeChild(cm.getCurrentProblemProperty("QueueType"),cm);

	cjs.createFlagTable();
	cjs.createHeader();
	cjs.createCommands();
	cjs.writeScript();

	//Now grab the script and give the user a chance to edit it.
	String scriptString="";
	String probDir="Descriptors/users/"+userName+"/"+probName;
	scriptString=getfile.fileToString(probDir+"/job.script");
%>
<html>
<body>
<center>
<h2>Submit Job</h2>
</center>
The following queue script has been created for you.  You can modify 
it if you wish.  When you are finished, click the "Submit Job" button to
run the script on the selected host.
<center>
<form name=scriptString method=POST action="/GOW/Generic/ReturnPage.jsp">
<textarea name=scriptString cols=40 rows=20>
<%= scriptString %>
</textarea>
</center>
<center>
<input type=submit name="submit" value="Submit Job" >
</center>
</form>
</body>
</html>





