/**
 * Program Name: GetFileBean.java
 * Comments: Provides convenience methods for displaying an ASCII text file.
 * Assumes that the file is under the /WEB-INF directory of the calling
 * context.
 */

package extensions.generic;

import java.io.*;

public class GetFile {
    BufferedReader bin;
    String rootDir="";
    public GetFile(){	
    }
    
    public String fileToString(String fileName){
	String s;
	String fileString="";
	try {
	    bin=new BufferedReader(new FileReader(fileName));
	    while((s=bin.readLine())!=null) {
		fileString+=s;
	    }
	}
	catch (Exception ex) {
	    System.out.println("Error opening file");
	    ex.printStackTrace();
	}
	return fileString;
    }

}

